Loading...
Searching...
No Matches
IDXGIObjectVtbl Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions

| BEGIN_INTERFACE (IDXGIObject *This, REFIID riid, _COM_Outptr_ void **ppvObject)
IDXGIObject _In_ REFGUID UINT | _In_reads_bytes_ (DataSize) const void *pData)

## Public Attributes

IDXGIObject * | This
IDXGIObject _In_ REFGUID | Name
IDXGIObject _In_ REFGUID UINT | DataSize
IDXGIObject _In_ REFGUID _In_opt_ const IUnknown * | pUnknown
IDXGIObject _In_ REFGUID _Inout_ UINT * | pDataSize
IDXGIObject _In_ REFGUID _Inout_ UINT _Out_writes_bytes_ pDataSize void * | pData
IDXGIObject _In_ REFIID | riid
IDXGIObject _In_ REFIID _COM_Outptr_ void ** | ppParent

## Detailed Description

Definition at line 6010 of file mini_d3d12.h.

## Member Function Documentation

## BEGIN_INTERFACE()

IDXGIObjectVtbl::BEGIN_INTERFACE | ( | IDXGIObject * | This,
|  | REFIID | riid,
|  | _COM_Outptr_ void ** | ppvObject )

References _COM_Outptr_, BEGIN_INTERFACE(), REFIID, riid, STDMETHODCALLTYPE, and This.

Referenced by BEGIN_INTERFACE().

## _In_reads_bytes_()

IDXGIObject _In_ REFGUID UINT IDXGIObjectVtbl::_In_reads_bytes_ | ( | DataSize |  | ) | const

References _In_, DataSize, Name, pData, REFGUID, STDMETHODCALLTYPE, and This.

## Member Data Documentation

## This

IDXGIObject * IDXGIObjectVtbl::This

Definition at line 6022 of file mini_d3d12.h.

Referenced by _In_reads_bytes_(), and BEGIN_INTERFACE().

## Name

IDXGIObject _In_ REFGUID IDXGIObjectVtbl::Name

Definition at line 6032 of file mini_d3d12.h.

Referenced by _In_reads_bytes_().

## DataSize

IDXGIObject _In_ REFGUID UINT IDXGIObjectVtbl::DataSize

Definition at line 6033 of file mini_d3d12.h.

Referenced by _In_reads_bytes_().

## pUnknown

IDXGIObject _In_ REFGUID _In_opt_ const IUnknown* IDXGIObjectVtbl::pUnknown

Definition at line 6043 of file mini_d3d12.h.

## pDataSize

IDXGIObject _In_ REFGUID _Inout_ UINT* IDXGIObjectVtbl::pDataSize

Definition at line 6051 of file mini_d3d12.h.

## pData

IDXGIObject _In_ REFGUID _Inout_ UINT _Out_writes_bytes_ pDataSize void* IDXGIObjectVtbl::pData

Definition at line 6053 of file mini_d3d12.h.

Referenced by _In_reads_bytes_().

## riid

IDXGIObject _In_ REFIID IDXGIObjectVtbl::riid

Definition at line 6059 of file mini_d3d12.h.

Referenced by BEGIN_INTERFACE().

## ppParent

IDXGIObject _In_ REFIID _COM_Outptr_ void** IDXGIObjectVtbl::ppParent

Definition at line 6061 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h